#include "config.h"
#include "STC32G_EEPROM.h"

#define BAUD    (65536 - MAIN_Fosc/4/115200)

u32 l0, l1;
u8 c0, c1;

void main()
{
    WTST = 0x00;
    CKCON = 0x00;
    EAXFR = 1;
    
    SCON = 0x52;
    AUXR = 0x40;
    TMOD = 0x00;
    TL1 = BAUD;
    TH1 = BAUD >> 8;
    TR1 = 1;
    
    printf("STC32G EEPROM Test !\n\n");
    
    l0 = 0x12345678;
    l1 = 0;
    c0 = 0x5a;
    c1 = 0;
    
    EEPROM_SectorErase(0);
    EEPROM_write_n(0, (u8 *)&l0, 4);
    EEPROM_read_n(0, (u8 *)&l1, 4);
    
    printf("l0=0x%08lx\n", l0);
    printf("l1=0x%08lx\n\n", l1);
    
    EEPROM_SectorErase(1);
    EEPROM_write_n(1, &c0, 1);
    EEPROM_read_n(1, &c1, 1);
    
    printf("c0=0x%02bx\n", c0);
    printf("c1=0x%02bx\n\n", c1);
    
    while (1);
}

void 	EEPROM_read_n(u32 EE_address,u8 *DataAddress,u16 number);
void 	EEPROM_write_n(u32 EE_address,u8 *DataAddress,u16 number);
void	EEPROM_SectorErase(u32 EE_address);
